{% extends 'frontend/shared/layouts/default.html.twig' %}

{% block body %}
    <section class="heading-page" style="background-image: url(https://www.studiesadvisor.net/static/default/images/background/bg-heading.jpg)">
        <h4 class="heading-caption">Contact</h4>
    </section>
    <main id="main">
        <div class="container">
            <div class="row ">
                <div class="col-md-push-2 col-md-8">
                    <h2 class="title-line heading font-md">
                        Des questions vous taraudent et vous souhaitez contacter StudiesAdvisor.net ? Vous pouvez remplir le
                        formulaire ci-dessous, nous nous engageons à vous répondre dans les meilleurs délais.
                    </h2>
                    <div class="well-support">
                        <div class="support-avatar">
                            <img src="https://www.studiesadvisor.net/static/default_v2/images/JulieDupont.jpg">
                        </div>
                        <div class="support-text"> «&nbsp;La Team StudiesAdvisor.net se fera un plaisir de répondre à vos
                            questions et d'échanger avec vous &nbsp;»
                        </div>
                    </div>
                    <div class="form-default contact-form">
                        <form action="" id="frmContactPopup" method="post">
                            <div class="alert alert-danger" role="alert" style="display: none;">

                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="Nom *" id="last_name" name="lastName" required>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="Prénom *" id="first_name" name="firstName" required>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="Pays *" id="country" name="country" required>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control number" placeholder="Numéro de téléphone" id="phone" name="phone" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="email" class="form-control" placeholder="Adresse email *" id="contact_email" name="email" required>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="hidden" name="function" id="function" value="" required>
                                    <div class="selectBox" id="block_function">
                                        <span class="selected">Fonction *</span> <i class="selectArrow"></i>
                                        <ul class="selectOptions">
                                            <li class="selectOption first" data-value="">Fonction *</li>
                                            <li class="selectOption selectValue" data-value="Étudiant">Étudiant</li>
                                            <li class="selectOption selectValue" data-value="Professeur">Professeur</li>
                                            <li class="selectOption selectValue" data-value="École">École</li>
                                            <li class="selectOption selectValue" data-value="Autre">Autre</li>
                                        </ul>
                                    </div>
                                    <div class="error-msg-holder"></div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="Nom de l’école "
                                               name="schoolName" style="display: none" id="elementAddFonction">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                              <textarea class="form-control" rows="6" id="contact_content" name="message"
                                        placeholder="Votre message *" required></textarea>
                            </div>
                            <div>
                                {% if captcha_enabled %}
                                    <div class="g-recaptcha" data-sitekey="{{captcha_key}}"></div>
                                {% endif %}
                            </div>
                            <hr>
                            <div class="ft-from-bt text-right">
                                <button type="button" class="btn-sub btn-sub-default"
                                        onclick="$(this).closest('#frmContactPopup')[0].reset()">Annuler</button>
                                <button type="submit" class="btn-sub btn-sub-second"
                                        id="send_contact">Envoyer <span
                                            class="process-hidden processing"><i
                                                class="fa fa-spinner fa-pulse "></i></span></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div><!-- /.container -->
    </main>

    <div class="modal fade modal-style-disponible" id="successContactModal" tabindex="-1" role="dialog" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-body modal-disponible">
                    <div class="d_logo">
                        <img src="{{ asset('common-assets/images/studiesadvisor-logo.png') }}" alt="" width="200">
                    </div>
                    <div class="d_modal_content">
                        <p> Merci de nous avoir contacté ! Notre équipe va vous répondre dans les plus bref délais !</p>
                        <p>La Team StudiesAdvisor.net</p>
                    </div>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-style-disponible" id="captcha-required-modal" tabindex="-1" role="dialog" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-body modal-disponible">
                    <div class="d_logo">
                        <img src="{{ asset('common-assets/images/studiesadvisor-logo.png') }}" alt="" width="200">
                    </div>
                    <div class="d_modal_content">
                        <div class="alert text-danger" role="alert">
                            <span class="lnr lnr-warning" aria-hidden="true"></span> <span class="sr-only">Error:</span> Veuillez cliquer sur la case reCAPTCHA.
                        </div>
                    </div>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {% if captcha_enabled %}
        <script src='https://www.google.com/recaptcha/api.js?hl=fr' async defer></script>
    {% endif %}
    <script>
      $(function () {
        $('.selectBox').each(function () {
          $(this).children('.selected, .selectArrow').on('click', function (e) {
            if ($(this).parent().children('.selectOptions').css('display') == 'none') {
              $(this).parent().children('.selectOptions').css('display', 'block');
              $(this).parent().addClass('focus');
              $(this).addClass('color_selected')
            }
          });

          $(this).find('li.selectOption').click(function () {
            $(this).parent().css('display', 'none');
            $(this).parent().siblings('.selected').html($(this).html());
            $('.selectBox').removeClass('focus');

            var $el = $(this);

            $('#function').val($el.data('value'));

            $el.siblings().removeClass('current');
            $el.addClass('current');

            if($el.data('value') == 'Autre' || $el.data('value') == '') {
              $("#elementAddFonction").hide();
            } else {
              $("#elementAddFonction").show();
            }
          });
        });

        $('body').on('click', function (e) {
          if ($(e.target).closest('.selectBox').length == 0) {
            $('.selectOptions').css('display', 'none');
            $('.selectBox').removeClass('focus');
          }
        });

        $("#frmContactPopup").validate({
          errorElement: "span",
          ignore: '.ignore',
          errorPlacement: function(error, element) {
            if(element.attr('name') == 'function') {
              error.appendTo( element.parent().find(".error-msg-holder") );
            } else {
              error.insertAfter(element);
            }
          },
          submitHandler: function(form, e) {
            e.preventDefault();

            {% if captcha_enabled %}
            if (grecaptcha.getResponse().length == 0) {
              $('#captcha-required-modal').modal('show');
              return false;
            }
            {% endif %}

            $('#send_contact').addClass('processing');
            $('#send_contact').prop('disabled', true);

            $.post('/contact/submit', $("#frmContactPopup").serialize())
              .done(function(res) {
                $('#successContactModal').modal('show');

                $("#frmContactPopup")[0].reset();

                $(form).find('.alert-danger').html('');
                $(form).find('.alert-danger').hide();
              })
              .fail(function (err) {
                $(form).find('.alert-danger').html('<span class="lnr lnr-warning" aria-hidden="true"></span> <span class="sr-only">Error:</span>' + err.responseJSON.error.message);
                $(form).find('.alert-danger').show();
                $('html, body').animate({
                  'scrollTop': $(form).find('.alert-danger').offset().top - 100
                }, 500);
              })
              .always(function (res) {
                $('#send_contact').removeClass('processing');
                $('#send_contact').prop('disabled', false);
              });
          }
        });

      });
    </script>
{% endblock %}
